"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const _ListCache = require("./_ListCache.js");
const _Map = require("./_Map.js");
const _MapCache = require("./_MapCache.js");
var ListCache = _ListCache._ListCache, Map = _Map._Map, MapCache = _MapCache._MapCache;
var LARGE_ARRAY_SIZE = 200;
function stackSet(key, value) {
  var data = this.__data__;
  if (data instanceof ListCache) {
    var pairs = data.__data__;
    if (!Map || pairs.length < LARGE_ARRAY_SIZE - 1) {
      pairs.push([key, value]);
      this.size = ++data.size;
      return this;
    }
    data = this.__data__ = new MapCache(pairs);
  }
  data.set(key, value);
  this.size = data.size;
  return this;
}
var _stackSet = stackSet;
exports._stackSet = _stackSet;
